package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaClue;
import com.ruoyi.oa.domain.vo.OaClueVo;
import com.ruoyi.oa.domain.bo.OaClueBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * CRM 线索Service接口
 *
 * @author ruoyi
 * @date 2025-03-12
 */
public interface IOaClueService {

    /**
     * 查询CRM 线索
     */
    OaClueVo queryById(Long clueId);

    /**
     * 查询CRM 线索列表
     */
    TableDataInfo<OaClueVo> queryPageList(OaClueBo bo, PageQuery pageQuery);

    /**
     * 查询CRM 线索列表
     */
    List<OaClueVo> queryList(OaClueBo bo);

    /**
     * 新增CRM 线索
     */
    Boolean insertByBo(OaClueBo bo);

    /**
     * 修改CRM 线索
     */
    Boolean updateByBo(OaClueBo bo);

    /**
     * 校验并批量删除CRM 线索信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询使用xml 关联到user表
     * @param bo
     * @param pageQuery
     * @return
     */
    TableDataInfo<OaClueVo> queryPageListVo(OaClueBo bo, PageQuery pageQuery);
}
